--NAME:default_snmp_linux_server
--INFRA:BASE
--PLUGINS:CHECK_SNMP_LINUX_MEM,CHECK_SNMP_LOAD,CHECK_ICMP,CHECK_SNMP_LINUX_STORAGE,CHECK_SNMP_TIME

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_linux_server','Pattern pour les serveurs linux');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LINUX_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_linux_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),'-H $IP -C $SNMP_COM -w 80,10 -c 90,60',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_linux_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),'-H $IP -C $SNMP_COM -w 80% -c 90%',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_linux_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'-H $IP -w 200,50% -c 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LINUX_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_linux_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_STORAGE'),'-H $IP -C $SNMP_COM -m "^/$" -w 80% -c 90%',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_TIME',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_linux_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_TIME'),'-H $IP -C $SNMP_COM -Z Europe/Paris -w 2 -c 20',300000,NULL,NULL,NULL,NULL,NULL,7);

